/**
 * CalendarCycleOneLetter2.java
 *
 * File generated from the medication2::CalendarCycleOneLetter2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CalendarCycleOneLetter2.
 *
 * 
 */

@XmlType(name = "CalendarCycleOneLetter")
@XmlEnum
@XmlRootElement(name = "CalendarCycleOneLetter2")
public enum CalendarCycleOneLetter2 {
	@XmlEnumValue("D")
	D("D"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("J")
	J("J"),
	@XmlEnumValue("M")
	M("M"),
	@XmlEnumValue("N")
	N("N"),
	@XmlEnumValue("S")
	S("S"),
	@XmlEnumValue("W")
	W("W"),
	@XmlEnumValue("Y")
	Y("Y");
	
	private final String value;

    CalendarCycleOneLetter2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static CalendarCycleOneLetter2 fromValue(String v) {
        for (CalendarCycleOneLetter2 c: CalendarCycleOneLetter2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
